unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ComCtrls, ExtCtrls, StdCtrls;

type

  TMediaType = (mtMP3, mtVorbis, mtAAC, mtUnknown);

  TSongItem = class
  public
    FileName: String;
    ExtractedFileName: String;
    FilePath: String;
    ListViewItem: TListItem;
    MaxAmplitude_Track: Double;
    MaxAmplitude_Album: Double;
    Gain_Track: Double;
    Gain_Album: Double;
    Volume_Track: Double;
    Volume_Album: Double;
    Volume_Difference: Double;
    Volume_Old: Double;
    Clipping: Boolean;
    Clip_Track: Boolean;
    Clip_Album: Boolean;
    HasAlbumData: Boolean;
    HasData: Boolean;
    MediaType: TMediaType;
  end;

  { TForm1 }

  TForm1 = class(TForm)
    lvFiles: TListView;
    Panel1: TPanel;
    procedure lvFilesMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.lvFilesMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
  Item: TListItem;
  a: Integer;
begin
  //if lvFiles.Items.Count>0 then
  Item := lvFiles.GetItemAt(X,Y);
  if (Item=nil) then
  begin
    lvFiles.Hint := 'kein Element';
  end
  else
  begin
    lvFiles.Hint := Item.SubItems[0];
  end;
end;

initialization
  {$I unit1.lrs}

end.

